/* This file was automatically generated by generate_param.py. DO NOT EDIT */

#ifndef __PARAM_TABLE_GEN_C__
#define __PARAM_TABLE_GEN_C__

struct parm_struct parm_table[] = {
	{
		.label		= "abort shutdown script",
		.type		= P_STRING,
		.p_class	= P_GLOBAL,
		.offset		= GLOBAL_VAR(abort_shutdown_script),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "access based share enum",
		.type		= P_BOOL,
		.p_class	= P_LOCAL,
		.offset		= LOCAL_VAR(access_based_share_enum),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "acl allow execute always",
		.type		= P_BOOL,
		.p_class	= P_LOCAL,
		.offset		= LOCAL_VAR(acl_allow_execute_always),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "acl check permissions",
		.type		= P_BOOL,
		.p_class	= P_LOCAL,
		.offset		= LOCAL_VAR(acl_check_permissions),
		.special	= NULL,
		.enum_list	= NULL,
		.flags		= FLAG_DEPRECATED,
	},
	{
		.label		= "acl group control",
		.type		= P_BOOL,
		.p_class	= P_LOCAL,
		.offset		= LOCAL_VAR(acl_group_control),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "acl map full control",
		.type		= P_BOOL,
		.p_class	= P_LOCAL,
		.offset		= LOCAL_VAR(acl_map_full_control),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "add group script",
		.type		= P_STRING,
		.p_class	= P_GLOBAL,
		.offset		= GLOBAL_VAR(add_group_script),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "add machine script",
		.type		= P_STRING,
		.p_class	= P_GLOBAL,
		.offset		= GLOBAL_VAR(add_machine_script),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "addport command",
		.type		= P_STRING,
		.p_class	= P_GLOBAL,
		.offset		= GLOBAL_VAR(addport_command),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "addprinter command",
		.type		= P_STRING,
		.p_class	= P_GLOBAL,
		.offset		= GLOBAL_VAR(addprinter_command),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "add share command",
		.type		= P_STRING,
		.p_class	= P_GLOBAL,
		.offset		= GLOBAL_VAR(add_share_command),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "add user script",
		.type		= P_STRING,
		.p_class	= P_GLOBAL,
		.offset		= GLOBAL_VAR(add_user_script),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "add user to group script",
		.type		= P_STRING,
		.p_class	= P_GLOBAL,
		.offset		= GLOBAL_VAR(add_user_to_group_script),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "administrative share",
		.type		= P_BOOL,
		.p_class	= P_LOCAL,
		.offset		= LOCAL_VAR(administrative_share),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "admin users",
		.type		= P_CMDLIST,
		.p_class	= P_LOCAL,
		.offset		= LOCAL_VAR(admin_users),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "afs share",
		.type		= P_BOOL,
		.p_class	= P_LOCAL,
		.offset		= LOCAL_VAR(afs_share),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "afs token lifetime",
		.type		= P_INTEGER,
		.p_class	= P_GLOBAL,
		.offset		= GLOBAL_VAR(afs_token_lifetime),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "afs username map",
		.type		= P_STRING,
		.p_class	= P_GLOBAL,
		.offset		= GLOBAL_VAR(afs_username_map),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "aio max threads",
		.type		= P_INTEGER,
		.p_class	= P_GLOBAL,
		.offset		= GLOBAL_VAR(aio_max_threads),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "aio read size",
		.type		= P_BYTES,
		.p_class	= P_LOCAL,
		.offset		= LOCAL_VAR(aio_read_size),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "aio write behind",
		.type		= P_STRING,
		.p_class	= P_LOCAL,
		.offset		= LOCAL_VAR(aio_write_behind),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "aio write size",
		.type		= P_BYTES,
		.p_class	= P_LOCAL,
		.offset		= LOCAL_VAR(aio_write_size),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "algorithmic rid base",
		.type		= P_INTEGER,
		.p_class	= P_GLOBAL,
		.offset		= GLOBAL_VAR(algorithmic_rid_base),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "allocation roundup size",
		.type		= P_BYTES,
		.p_class	= P_LOCAL,
		.offset		= LOCAL_VAR(allocation_roundup_size),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "allow dcerpc auth level connect",
		.type		= P_BOOL,
		.p_class	= P_GLOBAL,
		.offset		= GLOBAL_VAR(allow_dcerpc_auth_level_connect),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "allow dns updates",
		.type		= P_ENUM,
		.p_class	= P_GLOBAL,
		.offset		= GLOBAL_VAR(allow_dns_updates),
		.special	= NULL,
		.enum_list	= enum_dns_update_settings,
	},
	{
		.label		= "allow insecure wide links",
		.type		= P_BOOL,
		.p_class	= P_GLOBAL,
		.offset		= GLOBAL_VAR(allow_insecure_wide_links),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "allow nt4 crypto",
		.type		= P_BOOL,
		.p_class	= P_GLOBAL,
		.offset		= GLOBAL_VAR(allow_nt4_crypto),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "allow trusted domains",
		.type		= P_BOOL,
		.p_class	= P_GLOBAL,
		.offset		= GLOBAL_VAR(allow_trusted_domains),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "allow unsafe cluster upgrade",
		.type		= P_BOOL,
		.p_class	= P_GLOBAL,
		.offset		= GLOBAL_VAR(allow_unsafe_cluster_upgrade),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "apply group policies",
		.type		= P_BOOL,
		.p_class	= P_GLOBAL,
		.offset		= GLOBAL_VAR(apply_group_policies),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "async smb echo handler",
		.type		= P_BOOL,
		.p_class	= P_GLOBAL,
		.offset		= GLOBAL_VAR(async_smb_echo_handler),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "auth event notification",
		.type		= P_BOOL,
		.p_class	= P_GLOBAL,
		.offset		= GLOBAL_VAR(auth_event_notification),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "auto services",
		.type		= P_STRING,
		.p_class	= P_GLOBAL,
		.offset		= GLOBAL_VAR(auto_services),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "preload",
		.type		= P_STRING,
		.p_class	= P_GLOBAL,
		.offset		= GLOBAL_VAR(auto_services),
		.special	= NULL,
		.enum_list	= NULL,
		.flags		= FLAG_SYNONYM,
	},
	{
		.label		= "available",
		.type		= P_BOOL,
		.p_class	= P_LOCAL,
		.offset		= LOCAL_VAR(available),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "binddns dir",
		.type		= P_STRING,
		.p_class	= P_GLOBAL,
		.offset		= GLOBAL_VAR(binddns_dir),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "bind dns directory",
		.type		= P_STRING,
		.p_class	= P_GLOBAL,
		.offset		= GLOBAL_VAR(binddns_dir),
		.special	= NULL,
		.enum_list	= NULL,
		.flags		= FLAG_SYNONYM,
	},
	{
		.label		= "bind interfaces only",
		.type		= P_BOOL,
		.p_class	= P_GLOBAL,
		.offset		= GLOBAL_VAR(bind_interfaces_only),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "blocking locks",
		.type		= P_BOOL,
		.p_class	= P_LOCAL,
		.offset		= LOCAL_VAR(blocking_locks),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "block size",
		.type		= P_BYTES,
		.p_class	= P_LOCAL,
		.offset		= LOCAL_VAR(block_size),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "browseable",
		.type		= P_BOOL,
		.p_class	= P_LOCAL,
		.offset		= LOCAL_VAR(browseable),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "browsable",
		.type		= P_BOOL,
		.p_class	= P_LOCAL,
		.offset		= LOCAL_VAR(browseable),
		.special	= NULL,
		.enum_list	= NULL,
		.flags		= FLAG_SYNONYM,
	},
	{
		.label		= "browse list",
		.type		= P_BOOL,
		.p_class	= P_GLOBAL,
		.offset		= GLOBAL_VAR(browse_list),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "cache directory",
		.type		= P_STRING,
		.p_class	= P_GLOBAL,
		.offset		= GLOBAL_VAR(cache_directory),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "case sensitive",
		.type		= P_ENUM,
		.p_class	= P_LOCAL,
		.offset		= LOCAL_VAR(case_sensitive),
		.special	= NULL,
		.enum_list	= enum_bool_auto,
	},
	{
		.label		= "casesignames",
		.type		= P_ENUM,
		.p_class	= P_LOCAL,
		.offset		= LOCAL_VAR(case_sensitive),
		.special	= NULL,
		.enum_list	= enum_bool_auto,
		.flags		= FLAG_SYNONYM,
	},
	{
		.label		= "change notify",
		.type		= P_BOOL,
		.p_class	= P_GLOBAL,
		.offset		= GLOBAL_VAR(change_notify),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "change share command",
		.type		= P_STRING,
		.p_class	= P_GLOBAL,
		.offset		= GLOBAL_VAR(change_share_command),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "check parent directory delete on close",
		.type		= P_BOOL,
		.p_class	= P_LOCAL,
		.offset		= LOCAL_VAR(check_parent_directory_delete_on_close),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "check password script",
		.type		= P_STRING,
		.p_class	= P_GLOBAL,
		.offset		= GLOBAL_VAR(check_password_script),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "cldap port",
		.type		= P_INTEGER,
		.p_class	= P_GLOBAL,
		.offset		= GLOBAL_VAR(cldap_port),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "client ipc max protocol",
		.type		= P_ENUM,
		.p_class	= P_GLOBAL,
		.offset		= GLOBAL_VAR(_client_ipc_max_protocol),
		.special	= NULL,
		.enum_list	= enum_protocol,
	},
	{
		.label		= "client ipc min protocol",
		.type		= P_ENUM,
		.p_class	= P_GLOBAL,
		.offset		= GLOBAL_VAR(_client_ipc_min_protocol),
		.special	= NULL,
		.enum_list	= enum_protocol,
	},
	{
		.label		= "client ipc signing",
		.type		= P_ENUM,
		.p_class	= P_GLOBAL,
		.offset		= GLOBAL_VAR(_client_ipc_signing),
		.special	= NULL,
		.enum_list	= enum_smb_signing_vals,
	},
	{
		.label		= "client lanman auth",
		.type		= P_BOOL,
		.p_class	= P_GLOBAL,
		.offset		= GLOBAL_VAR(client_lanman_auth),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "client ldap sasl wrapping",
		.type		= P_ENUM,
		.p_class	= P_GLOBAL,
		.offset		= GLOBAL_VAR(client_ldap_sasl_wrapping),
		.special	= NULL,
		.enum_list	= enum_ldap_sasl_wrapping,
	},
	{
		.label		= "client max protocol",
		.type		= P_ENUM,
		.p_class	= P_GLOBAL,
		.offset		= GLOBAL_VAR(_client_max_protocol),
		.special	= NULL,
		.enum_list	= enum_protocol,
	},
	{
		.label		= "client min protocol",
		.type		= P_ENUM,
		.p_class	= P_GLOBAL,
		.offset		= GLOBAL_VAR(client_min_protocol),
		.special	= NULL,
		.enum_list	= enum_protocol,
	},
	{
		.label		= "client NTLMv2 auth",
		.type		= P_BOOL,
		.p_class	= P_GLOBAL,
		.offset		= GLOBAL_VAR(client_ntlmv2_auth),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "client plaintext auth",
		.type		= P_BOOL,
		.p_class	= P_GLOBAL,
		.offset		= GLOBAL_VAR(client_plaintext_auth),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "client schannel",
		.type		= P_ENUM,
		.p_class	= P_GLOBAL,
		.offset		= GLOBAL_VAR(client_schannel),
		.special	= NULL,
		.enum_list	= enum_bool_auto,
		.flags		= FLAG_DEPRECATED,
	},
	{
		.label		= "client signing",
		.type		= P_ENUM,
		.p_class	= P_GLOBAL,
		.offset		= GLOBAL_VAR(client_signing),
		.special	= NULL,
		.enum_list	= enum_smb_signing_vals,
	},
	{
		.label		= "client use spnego principal",
		.type		= P_BOOL,
		.p_class	= P_GLOBAL,
		.offset		= GLOBAL_VAR(client_use_spnego_principal),
		.special	= NULL,
		.enum_list	= NULL,
		.flags		= FLAG_DEPRECATED,
	},
	{
		.label		= "client use spnego",
		.type		= P_BOOL,
		.p_class	= P_GLOBAL,
		.offset		= GLOBAL_VAR(client_use_spnego),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "cluster addresses",
		.type		= P_CMDLIST,
		.p_class	= P_GLOBAL,
		.offset		= GLOBAL_VAR(cluster_addresses),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "clustering",
		.type		= P_BOOL,
		.p_class	= P_GLOBAL,
		.offset		= GLOBAL_VAR(clustering),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "comment",
		.type		= P_STRING,
		.p_class	= P_LOCAL,
		.offset		= LOCAL_VAR(comment),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "config backend",
		.type		= P_ENUM,
		.p_class	= P_GLOBAL,
		.offset		= GLOBAL_VAR(config_backend),
		.special	= NULL,
		.enum_list	= enum_config_backend,
	},
	{
		.label		= "config file",
		.type		= P_STRING,
		.p_class	= P_GLOBAL,
		.offset		= GLOBAL_VAR(next_configfile),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "copy",
		.type		= P_STRING,
		.p_class	= P_LOCAL,
		.offset		= LOCAL_VAR(copy),
		.special	= handle_copy,
		.enum_list	= NULL,
	},
	{
		.label		= "create krb5 conf",
		.type		= P_BOOL,
		.p_class	= P_GLOBAL,
		.offset		= GLOBAL_VAR(create_krb5_conf),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "create mask",
		.type		= P_OCTAL,
		.p_class	= P_LOCAL,
		.offset		= LOCAL_VAR(create_mask),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "create mode",
		.type		= P_OCTAL,
		.p_class	= P_LOCAL,
		.offset		= LOCAL_VAR(create_mask),
		.special	= NULL,
		.enum_list	= NULL,
		.flags		= FLAG_SYNONYM,
	},
	{
		.label		= "csc policy",
		.type		= P_ENUM,
		.p_class	= P_LOCAL,
		.offset		= LOCAL_VAR(csc_policy),
		.special	= NULL,
		.enum_list	= enum_csc_policy,
	},
	{
		.label		= "ctdbd socket",
		.type		= P_STRING,
		.p_class	= P_GLOBAL,
		.offset		= GLOBAL_VAR(_ctdbd_socket),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "ctdb locktime warn threshold",
		.type		= P_INTEGER,
		.p_class	= P_GLOBAL,
		.offset		= GLOBAL_VAR(ctdb_locktime_warn_threshold),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "ctdb timeout",
		.type		= P_INTEGER,
		.p_class	= P_GLOBAL,
		.offset		= GLOBAL_VAR(ctdb_timeout),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "cups connection timeout",
		.type		= P_INTEGER,
		.p_class	= P_GLOBAL,
		.offset		= GLOBAL_VAR(cups_connection_timeout),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "cups encrypt",
		.type		= P_ENUM,
		.p_class	= P_GLOBAL,
		.offset		= GLOBAL_VAR(cups_encrypt),
		.special	= NULL,
		.enum_list	= enum_bool_auto,
	},
	{
		.label		= "cups options",
		.type		= P_STRING,
		.p_class	= P_LOCAL,
		.offset		= LOCAL_VAR(cups_options),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "cups server",
		.type		= P_STRING,
		.p_class	= P_GLOBAL,
		.offset		= GLOBAL_VAR(cups_server),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "dcerpc endpoint servers",
		.type		= P_LIST,
		.p_class	= P_GLOBAL,
		.offset		= GLOBAL_VAR(dcerpc_endpoint_servers),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "deadtime",
		.type		= P_INTEGER,
		.p_class	= P_GLOBAL,
		.offset		= GLOBAL_VAR(deadtime),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "debug class",
		.type		= P_BOOL,
		.p_class	= P_GLOBAL,
		.offset		= GLOBAL_VAR(debug_class),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "debug hires timestamp",
		.type		= P_BOOL,
		.p_class	= P_GLOBAL,
		.offset		= GLOBAL_VAR(debug_hires_timestamp),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "debug pid",
		.type		= P_BOOL,
		.p_class	= P_GLOBAL,
		.offset		= GLOBAL_VAR(debug_pid),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "debug prefix timestamp",
		.type		= P_BOOL,
		.p_class	= P_GLOBAL,
		.offset		= GLOBAL_VAR(debug_prefix_timestamp),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "debug uid",
		.type		= P_BOOL,
		.p_class	= P_GLOBAL,
		.offset		= GLOBAL_VAR(debug_uid),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "dedicated keytab file",
		.type		= P_STRING,
		.p_class	= P_GLOBAL,
		.offset		= GLOBAL_VAR(dedicated_keytab_file),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "default case",
		.type		= P_ENUM,
		.p_class	= P_LOCAL,
		.offset		= LOCAL_VAR(default_case),
		.special	= NULL,
		.enum_list	= enum_case,
	},
	{
		.label		= "default devmode",
		.type		= P_BOOL,
		.p_class	= P_LOCAL,
		.offset		= LOCAL_VAR(default_devmode),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "default service",
		.type		= P_STRING,
		.p_class	= P_GLOBAL,
		.offset		= GLOBAL_VAR(defaultservice),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "default",
		.type		= P_STRING,
		.p_class	= P_GLOBAL,
		.offset		= GLOBAL_VAR(defaultservice),
		.special	= NULL,
		.enum_list	= NULL,
		.flags		= FLAG_SYNONYM,
	},
	{
		.label		= "defer sharing violations",
		.type		= P_BOOL,
		.p_class	= P_GLOBAL,
		.offset		= GLOBAL_VAR(defer_sharing_violations),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "delete group script",
		.type		= P_STRING,
		.p_class	= P_GLOBAL,
		.offset		= GLOBAL_VAR(delete_group_script),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "deleteprinter command",
		.type		= P_STRING,
		.p_class	= P_GLOBAL,
		.offset		= GLOBAL_VAR(deleteprinter_command),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "delete readonly",
		.type		= P_BOOL,
		.p_class	= P_LOCAL,
		.offset		= LOCAL_VAR(delete_readonly),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "delete share command",
		.type		= P_STRING,
		.p_class	= P_GLOBAL,
		.offset		= GLOBAL_VAR(delete_share_command),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "delete user from group script",
		.type		= P_STRING,
		.p_class	= P_GLOBAL,
		.offset		= GLOBAL_VAR(delete_user_from_group_script),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "delete user script",
		.type		= P_STRING,
		.p_class	= P_GLOBAL,
		.offset		= GLOBAL_VAR(delete_user_script),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "delete veto files",
		.type		= P_BOOL,
		.p_class	= P_LOCAL,
		.offset		= LOCAL_VAR(delete_veto_files),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "dfree cache time",
		.type		= P_INTEGER,
		.p_class	= P_LOCAL,
		.offset		= LOCAL_VAR(dfree_cache_time),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "dfree command",
		.type		= P_STRING,
		.p_class	= P_LOCAL,
		.offset		= LOCAL_VAR(dfree_command),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "dgram port",
		.type		= P_INTEGER,
		.p_class	= P_GLOBAL,
		.offset		= GLOBAL_VAR(dgram_port),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "directory mask",
		.type		= P_OCTAL,
		.p_class	= P_LOCAL,
		.offset		= LOCAL_VAR(directory_mask),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "directory mode",
		.type		= P_OCTAL,
		.p_class	= P_LOCAL,
		.offset		= LOCAL_VAR(directory_mask),
		.special	= NULL,
		.enum_list	= NULL,
		.flags		= FLAG_SYNONYM,
	},
	{
		.label		= "directory name cache size",
		.type		= P_INTEGER,
		.p_class	= P_LOCAL,
		.offset		= LOCAL_VAR(directory_name_cache_size),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "disable netbios",
		.type		= P_BOOL,
		.p_class	= P_GLOBAL,
		.offset		= GLOBAL_VAR(disable_netbios),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "disable spoolss",
		.type		= P_BOOL,
		.p_class	= P_GLOBAL,
		.offset		= GLOBAL_VAR(_disable_spoolss),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "dmapi support",
		.type		= P_BOOL,
		.p_class	= P_LOCAL,
		.offset		= LOCAL_VAR(dmapi_support),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "dns forwarder",
		.type		= P_CMDLIST,
		.p_class	= P_GLOBAL,
		.offset		= GLOBAL_VAR(dns_forwarder),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "dns proxy",
		.type		= P_BOOL,
		.p_class	= P_GLOBAL,
		.offset		= GLOBAL_VAR(wins_dns_proxy),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "dns update command",
		.type		= P_CMDLIST,
		.p_class	= P_GLOBAL,
		.offset		= GLOBAL_VAR(dns_update_command),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "dns zone scavenging",
		.type		= P_BOOL,
		.p_class	= P_GLOBAL,
		.offset		= GLOBAL_VAR(dns_zone_scavenging),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "domain logons",
		.type		= P_BOOL,
		.p_class	= P_GLOBAL,
		.offset		= GLOBAL_VAR(_domain_logons),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "domain master",
		.type		= P_ENUM,
		.p_class	= P_GLOBAL,
		.offset		= GLOBAL_VAR(_domain_master),
		.special	= NULL,
		.enum_list	= enum_bool_auto,
	},
	{
		.label		= "dont descend",
		.type		= P_STRING,
		.p_class	= P_LOCAL,
		.offset		= LOCAL_VAR(dont_descend),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "dos charset",
		.type		= P_STRING,
		.p_class	= P_GLOBAL,
		.offset		= GLOBAL_VAR(dos_charset),
		.special	= handle_dos_charset,
		.enum_list	= NULL,
	},
	{
		.label		= "dos filemode",
		.type		= P_BOOL,
		.p_class	= P_LOCAL,
		.offset		= LOCAL_VAR(dos_filemode),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "dos filetime resolution",
		.type		= P_BOOL,
		.p_class	= P_LOCAL,
		.offset		= LOCAL_VAR(dos_filetime_resolution),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "dos filetimes",
		.type		= P_BOOL,
		.p_class	= P_LOCAL,
		.offset		= LOCAL_VAR(dos_filetimes),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "dsdb event notification",
		.type		= P_BOOL,
		.p_class	= P_GLOBAL,
		.offset		= GLOBAL_VAR(dsdb_event_notification),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "dsdb group change notification",
		.type		= P_BOOL,
		.p_class	= P_GLOBAL,
		.offset		= GLOBAL_VAR(dsdb_group_change_notification),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "dsdb password event notification",
		.type		= P_BOOL,
		.p_class	= P_GLOBAL,
		.offset		= GLOBAL_VAR(dsdb_password_event_notification),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "durable handles",
		.type		= P_BOOL,
		.p_class	= P_LOCAL,
		.offset		= LOCAL_VAR(durable_handles),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "ea support",
		.type		= P_BOOL,
		.p_class	= P_LOCAL,
		.offset		= LOCAL_VAR(ea_support),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "enable asu support",
		.type		= P_BOOL,
		.p_class	= P_GLOBAL,
		.offset		= GLOBAL_VAR(enable_asu_support),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "enable core files",
		.type		= P_BOOL,
		.p_class	= P_GLOBAL,
		.offset		= GLOBAL_VAR(enable_core_files),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "enable privileges",
		.type		= P_BOOL,
		.p_class	= P_GLOBAL,
		.offset		= GLOBAL_VAR(enable_privileges),
		.special	= NULL,
		.enum_list	= NULL,
		.flags		= FLAG_DEPRECATED,
	},
	{
		.label		= "enable spoolss",
		.type		= P_BOOLREV,
		.p_class	= P_GLOBAL,
		.offset		= GLOBAL_VAR(_disable_spoolss),
		.special	= NULL,
		.enum_list	= NULL,
		.flags		= FLAG_SYNONYM,
	},
	{
		.label		= "encrypt passwords",
		.type		= P_BOOL,
		.p_class	= P_GLOBAL,
		.offset		= GLOBAL_VAR(encrypt_passwords),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "enhanced browsing",
		.type		= P_BOOL,
		.p_class	= P_GLOBAL,
		.offset		= GLOBAL_VAR(enhanced_browsing),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "enumports command",
		.type		= P_STRING,
		.p_class	= P_GLOBAL,
		.offset		= GLOBAL_VAR(enumports_command),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "eventlog list",
		.type		= P_CMDLIST,
		.p_class	= P_GLOBAL,
		.offset		= GLOBAL_VAR(eventlog_list),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "fake directory create times",
		.type		= P_BOOL,
		.p_class	= P_LOCAL,
		.offset		= LOCAL_VAR(fake_directory_create_times),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "fake oplocks",
		.type		= P_BOOL,
		.p_class	= P_LOCAL,
		.offset		= LOCAL_VAR(fake_oplocks),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "follow symlinks",
		.type		= P_BOOL,
		.p_class	= P_LOCAL,
		.offset		= LOCAL_VAR(follow_symlinks),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "force create mode",
		.type		= P_OCTAL,
		.p_class	= P_LOCAL,
		.offset		= LOCAL_VAR(force_create_mode),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "force directory mode",
		.type		= P_OCTAL,
		.p_class	= P_LOCAL,
		.offset		= LOCAL_VAR(force_directory_mode),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "force group",
		.type		= P_STRING,
		.p_class	= P_LOCAL,
		.offset		= LOCAL_VAR(force_group),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "group",
		.type		= P_STRING,
		.p_class	= P_LOCAL,
		.offset		= LOCAL_VAR(force_group),
		.special	= NULL,
		.enum_list	= NULL,
		.flags		= FLAG_SYNONYM,
	},
	{
		.label		= "force printername",
		.type		= P_BOOL,
		.p_class	= P_LOCAL,
		.offset		= LOCAL_VAR(force_printername),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "force unknown acl user",
		.type		= P_BOOL,
		.p_class	= P_LOCAL,
		.offset		= LOCAL_VAR(force_unknown_acl_user),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "force user",
		.type		= P_STRING,
		.p_class	= P_LOCAL,
		.offset		= LOCAL_VAR(force_user),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "fstype",
		.type		= P_STRING,
		.p_class	= P_LOCAL,
		.offset		= LOCAL_VAR(fstype),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "get quota command",
		.type		= P_STRING,
		.p_class	= P_GLOBAL,
		.offset		= GLOBAL_VAR(get_quota_command),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "getwd cache",
		.type		= P_BOOL,
		.p_class	= P_GLOBAL,
		.offset		= GLOBAL_VAR(getwd_cache),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "gpo update command",
		.type		= P_LIST,
		.p_class	= P_GLOBAL,
		.offset		= GLOBAL_VAR(gpo_update_command),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "guest account",
		.type		= P_STRING,
		.p_class	= P_GLOBAL,
		.offset		= GLOBAL_VAR(guest_account),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "guest ok",
		.type		= P_BOOL,
		.p_class	= P_LOCAL,
		.offset		= LOCAL_VAR(guest_ok),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "public",
		.type		= P_BOOL,
		.p_class	= P_LOCAL,
		.offset		= LOCAL_VAR(guest_ok),
		.special	= NULL,
		.enum_list	= NULL,
		.flags		= FLAG_SYNONYM,
	},
	{
		.label		= "guest only",
		.type		= P_BOOL,
		.p_class	= P_LOCAL,
		.offset		= LOCAL_VAR(guest_only),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "only guest",
		.type		= P_BOOL,
		.p_class	= P_LOCAL,
		.offset		= LOCAL_VAR(guest_only),
		.special	= NULL,
		.enum_list	= NULL,
		.flags		= FLAG_SYNONYM,
	},
	{
		.label		= "hide dot files",
		.type		= P_BOOL,
		.p_class	= P_LOCAL,
		.offset		= LOCAL_VAR(hide_dot_files),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "hide files",
		.type		= P_STRING,
		.p_class	= P_LOCAL,
		.offset		= LOCAL_VAR(hide_files),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "hide new files timeout",
		.type		= P_INTEGER,
		.p_class	= P_LOCAL,
		.offset		= LOCAL_VAR(hide_new_files_timeout),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "hide special files",
		.type		= P_BOOL,
		.p_class	= P_LOCAL,
		.offset		= LOCAL_VAR(hide_special_files),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "hide unreadable",
		.type		= P_BOOL,
		.p_class	= P_LOCAL,
		.offset		= LOCAL_VAR(hide_unreadable),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "hide unwriteable files",
		.type		= P_BOOL,
		.p_class	= P_LOCAL,
		.offset		= LOCAL_VAR(hide_unwriteable_files),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "homedir map",
		.type		= P_STRING,
		.p_class	= P_GLOBAL,
		.offset		= GLOBAL_VAR(homedir_map),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "host msdfs",
		.type		= P_BOOL,
		.p_class	= P_GLOBAL,
		.offset		= GLOBAL_VAR(host_msdfs),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "hostname lookups",
		.type		= P_BOOL,
		.p_class	= P_GLOBAL,
		.offset		= GLOBAL_VAR(hostname_lookups),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "hosts allow",
		.type		= P_CMDLIST,
		.p_class	= P_LOCAL,
		.offset		= LOCAL_VAR(hosts_allow),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "allow hosts",
		.type		= P_CMDLIST,
		.p_class	= P_LOCAL,
		.offset		= LOCAL_VAR(hosts_allow),
		.special	= NULL,
		.enum_list	= NULL,
		.flags		= FLAG_SYNONYM,
	},
	{
		.label		= "hosts deny",
		.type		= P_CMDLIST,
		.p_class	= P_LOCAL,
		.offset		= LOCAL_VAR(hosts_deny),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "deny hosts",
		.type		= P_CMDLIST,
		.p_class	= P_LOCAL,
		.offset		= LOCAL_VAR(hosts_deny),
		.special	= NULL,
		.enum_list	= NULL,
		.flags		= FLAG_SYNONYM,
	},
	{
		.label		= "idmap backend",
		.type		= P_STRING,
		.p_class	= P_GLOBAL,
		.offset		= GLOBAL_VAR(idmap_backend),
		.special	= handle_idmap_backend,
		.enum_list	= NULL,
		.flags		= FLAG_DEPRECATED,
	},
	{
		.label		= "idmap cache time",
		.type		= P_INTEGER,
		.p_class	= P_GLOBAL,
		.offset		= GLOBAL_VAR(idmap_cache_time),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "idmap gid",
		.type		= P_STRING,
		.p_class	= P_GLOBAL,
		.offset		= GLOBAL_VAR(idmap_gid),
		.special	= handle_idmap_gid,
		.enum_list	= NULL,
		.flags		= FLAG_DEPRECATED,
	},
	{
		.label		= "winbind gid",
		.type		= P_STRING,
		.p_class	= P_GLOBAL,
		.offset		= GLOBAL_VAR(idmap_gid),
		.special	= handle_idmap_gid,
		.enum_list	= NULL,
		.flags		= FLAG_SYNONYM,
	},
	{
		.label		= "idmap negative cache time",
		.type		= P_INTEGER,
		.p_class	= P_GLOBAL,
		.offset		= GLOBAL_VAR(idmap_negative_cache_time),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "idmap uid",
		.type		= P_STRING,
		.p_class	= P_GLOBAL,
		.offset		= GLOBAL_VAR(idmap_uid),
		.special	= handle_idmap_uid,
		.enum_list	= NULL,
		.flags		= FLAG_DEPRECATED,
	},
	{
		.label		= "winbind uid",
		.type		= P_STRING,
		.p_class	= P_GLOBAL,
		.offset		= GLOBAL_VAR(idmap_uid),
		.special	= handle_idmap_uid,
		.enum_list	= NULL,
		.flags		= FLAG_SYNONYM,
	},
	{
		.label		= "include",
		.type		= P_STRING,
		.p_class	= P_LOCAL,
		.offset		= LOCAL_VAR(include),
		.special	= handle_include,
		.enum_list	= NULL,
	},
	{
		.label		= "include system krb5 conf",
		.type		= P_BOOL,
		.p_class	= P_GLOBAL,
		.offset		= GLOBAL_VAR(include_system_krb5_conf),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "inherit acls",
		.type		= P_BOOL,
		.p_class	= P_LOCAL,
		.offset		= LOCAL_VAR(inherit_acls),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "inherit owner",
		.type		= P_ENUM,
		.p_class	= P_LOCAL,
		.offset		= LOCAL_VAR(inherit_owner),
		.special	= NULL,
		.enum_list	= enum_inherit_owner_vals,
	},
	{
		.label		= "inherit permissions",
		.type		= P_BOOL,
		.p_class	= P_LOCAL,
		.offset		= LOCAL_VAR(inherit_permissions),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "init logon delay",
		.type		= P_INTEGER,
		.p_class	= P_GLOBAL,
		.offset		= GLOBAL_VAR(init_logon_delay),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "init logon delayed hosts",
		.type		= P_CMDLIST,
		.p_class	= P_GLOBAL,
		.offset		= GLOBAL_VAR(init_logon_delayed_hosts),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "interfaces",
		.type		= P_CMDLIST,
		.p_class	= P_GLOBAL,
		.offset		= GLOBAL_VAR(interfaces),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "invalid users",
		.type		= P_CMDLIST,
		.p_class	= P_LOCAL,
		.offset		= LOCAL_VAR(invalid_users),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "iprint server",
		.type		= P_STRING,
		.p_class	= P_GLOBAL,
		.offset		= GLOBAL_VAR(iprint_server),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "keepalive",
		.type		= P_INTEGER,
		.p_class	= P_GLOBAL,
		.offset		= GLOBAL_VAR(keepalive),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "kerberos encryption types",
		.type		= P_ENUM,
		.p_class	= P_GLOBAL,
		.offset		= GLOBAL_VAR(kerberos_encryption_types),
		.special	= NULL,
		.enum_list	= enum_kerberos_encryption_types_vals,
	},
	{
		.label		= "kerberos method",
		.type		= P_ENUM,
		.p_class	= P_GLOBAL,
		.offset		= GLOBAL_VAR(kerberos_method),
		.special	= NULL,
		.enum_list	= enum_kerberos_method,
	},
	{
		.label		= "kernel change notify",
		.type		= P_BOOL,
		.p_class	= P_GLOBAL,
		.offset		= GLOBAL_VAR(kernel_change_notify),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "kernel oplocks",
		.type		= P_BOOL,
		.p_class	= P_LOCAL,
		.offset		= LOCAL_VAR(kernel_oplocks),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "kernel share modes",
		.type		= P_BOOL,
		.p_class	= P_LOCAL,
		.offset		= LOCAL_VAR(kernel_share_modes),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "kpasswd port",
		.type		= P_INTEGER,
		.p_class	= P_GLOBAL,
		.offset		= GLOBAL_VAR(kpasswd_port),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "krb5 port",
		.type		= P_INTEGER,
		.p_class	= P_GLOBAL,
		.offset		= GLOBAL_VAR(krb5_port),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "lanman auth",
		.type		= P_BOOL,
		.p_class	= P_GLOBAL,
		.offset		= GLOBAL_VAR(_lanman_auth),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "large readwrite",
		.type		= P_BOOL,
		.p_class	= P_GLOBAL,
		.offset		= GLOBAL_VAR(large_readwrite),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "ldap admin dn",
		.type		= P_STRING,
		.p_class	= P_GLOBAL,
		.offset		= GLOBAL_VAR(ldap_admin_dn),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "ldap connection timeout",
		.type		= P_INTEGER,
		.p_class	= P_GLOBAL,
		.offset		= GLOBAL_VAR(ldap_connection_timeout),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "ldap debug level",
		.type		= P_INTEGER,
		.p_class	= P_GLOBAL,
		.offset		= GLOBAL_VAR(ldap_debug_level),
		.special	= handle_ldap_debug_level,
		.enum_list	= NULL,
	},
	{
		.label		= "ldap debug threshold",
		.type		= P_INTEGER,
		.p_class	= P_GLOBAL,
		.offset		= GLOBAL_VAR(ldap_debug_threshold),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "ldap delete dn",
		.type		= P_BOOL,
		.p_class	= P_GLOBAL,
		.offset		= GLOBAL_VAR(ldap_delete_dn),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "ldap deref",
		.type		= P_ENUM,
		.p_class	= P_GLOBAL,
		.offset		= GLOBAL_VAR(ldap_deref),
		.special	= NULL,
		.enum_list	= enum_ldap_deref,
	},
	{
		.label		= "ldap follow referral",
		.type		= P_ENUM,
		.p_class	= P_GLOBAL,
		.offset		= GLOBAL_VAR(ldap_follow_referral),
		.special	= NULL,
		.enum_list	= enum_bool_auto,
	},
	{
		.label		= "ldap group suffix",
		.type		= P_STRING,
		.p_class	= P_GLOBAL,
		.offset		= GLOBAL_VAR(_ldap_group_suffix),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "ldap idmap suffix",
		.type		= P_STRING,
		.p_class	= P_GLOBAL,
		.offset		= GLOBAL_VAR(_ldap_idmap_suffix),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "ldap machine suffix",
		.type		= P_STRING,
		.p_class	= P_GLOBAL,
		.offset		= GLOBAL_VAR(_ldap_machine_suffix),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "ldap page size",
		.type		= P_INTEGER,
		.p_class	= P_GLOBAL,
		.offset		= GLOBAL_VAR(ldap_page_size),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "ldap passwd sync",
		.type		= P_ENUM,
		.p_class	= P_GLOBAL,
		.offset		= GLOBAL_VAR(ldap_passwd_sync),
		.special	= NULL,
		.enum_list	= enum_ldap_passwd_sync,
	},
	{
		.label		= "ldap password sync",
		.type		= P_ENUM,
		.p_class	= P_GLOBAL,
		.offset		= GLOBAL_VAR(ldap_passwd_sync),
		.special	= NULL,
		.enum_list	= enum_ldap_passwd_sync,
		.flags		= FLAG_SYNONYM,
	},
	{
		.label		= "ldap replication sleep",
		.type		= P_INTEGER,
		.p_class	= P_GLOBAL,
		.offset		= GLOBAL_VAR(ldap_replication_sleep),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "ldap server require strong auth",
		.type		= P_ENUM,
		.p_class	= P_GLOBAL,
		.offset		= GLOBAL_VAR(ldap_server_require_strong_auth),
		.special	= NULL,
		.enum_list	= enum_ldap_server_require_strong_auth_vals,
	},
	{
		.label		= "ldap ssl",
		.type		= P_ENUM,
		.p_class	= P_GLOBAL,
		.offset		= GLOBAL_VAR(ldap_ssl),
		.special	= NULL,
		.enum_list	= enum_ldap_ssl,
	},
	{
		.label		= "ldap ssl ads",
		.type		= P_BOOL,
		.p_class	= P_GLOBAL,
		.offset		= GLOBAL_VAR(ldap_ssl_ads),
		.special	= NULL,
		.enum_list	= NULL,
		.flags		= FLAG_DEPRECATED,
	},
	{
		.label		= "ldap suffix",
		.type		= P_STRING,
		.p_class	= P_GLOBAL,
		.offset		= GLOBAL_VAR(ldap_suffix),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "ldap timeout",
		.type		= P_INTEGER,
		.p_class	= P_GLOBAL,
		.offset		= GLOBAL_VAR(ldap_timeout),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "ldap user suffix",
		.type		= P_STRING,
		.p_class	= P_GLOBAL,
		.offset		= GLOBAL_VAR(_ldap_user_suffix),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "level2 oplocks",
		.type		= P_BOOL,
		.p_class	= P_LOCAL,
		.offset		= LOCAL_VAR(level2_oplocks),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "lm announce",
		.type		= P_ENUM,
		.p_class	= P_GLOBAL,
		.offset		= GLOBAL_VAR(lm_announce),
		.special	= NULL,
		.enum_list	= enum_bool_auto,
	},
	{
		.label		= "lm interval",
		.type		= P_INTEGER,
		.p_class	= P_GLOBAL,
		.offset		= GLOBAL_VAR(lm_interval),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "load printers",
		.type		= P_BOOL,
		.p_class	= P_GLOBAL,
		.offset		= GLOBAL_VAR(load_printers),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "local master",
		.type		= P_BOOL,
		.p_class	= P_GLOBAL,
		.offset		= GLOBAL_VAR(local_master),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "lock directory",
		.type		= P_STRING,
		.p_class	= P_GLOBAL,
		.offset		= GLOBAL_VAR(lock_directory),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "lock dir",
		.type		= P_STRING,
		.p_class	= P_GLOBAL,
		.offset		= GLOBAL_VAR(lock_directory),
		.special	= NULL,
		.enum_list	= NULL,
		.flags		= FLAG_SYNONYM,
	},
	{
		.label		= "locking",
		.type		= P_BOOL,
		.p_class	= P_LOCAL,
		.offset		= LOCAL_VAR(locking),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "lock spin time",
		.type		= P_INTEGER,
		.p_class	= P_GLOBAL,
		.offset		= GLOBAL_VAR(lock_spin_time),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "log file",
		.type		= P_STRING,
		.p_class	= P_GLOBAL,
		.offset		= GLOBAL_VAR(logfile),
		.special	= handle_logfile,
		.enum_list	= NULL,
	},
	{
		.label		= "logging",
		.type		= P_STRING,
		.p_class	= P_GLOBAL,
		.offset		= GLOBAL_VAR(logging),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "log level",
		.type		= P_STRING,
		.p_class	= P_GLOBAL,
		.offset		= GLOBAL_VAR(log_level),
		.special	= handle_debug_list,
		.enum_list	= NULL,
	},
	{
		.label		= "debuglevel",
		.type		= P_STRING,
		.p_class	= P_GLOBAL,
		.offset		= GLOBAL_VAR(log_level),
		.special	= handle_debug_list,
		.enum_list	= NULL,
		.flags		= FLAG_SYNONYM,
	},
	{
		.label		= "log nt token command",
		.type		= P_STRING,
		.p_class	= P_GLOBAL,
		.offset		= GLOBAL_VAR(log_nt_token_command),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "logon drive",
		.type		= P_STRING,
		.p_class	= P_GLOBAL,
		.offset		= GLOBAL_VAR(logon_drive),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "logon home",
		.type		= P_STRING,
		.p_class	= P_GLOBAL,
		.offset		= GLOBAL_VAR(logon_home),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "logon path",
		.type		= P_STRING,
		.p_class	= P_GLOBAL,
		.offset		= GLOBAL_VAR(logon_path),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "logon script",
		.type		= P_STRING,
		.p_class	= P_GLOBAL,
		.offset		= GLOBAL_VAR(logon_script),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "log writeable files on exit",
		.type		= P_BOOL,
		.p_class	= P_GLOBAL,
		.offset		= GLOBAL_VAR(log_writeable_files_on_exit),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "lppause command",
		.type		= P_STRING,
		.p_class	= P_LOCAL,
		.offset		= LOCAL_VAR(lppause_command),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "lpq cache time",
		.type		= P_INTEGER,
		.p_class	= P_GLOBAL,
		.offset		= GLOBAL_VAR(lpq_cache_time),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "lpq command",
		.type		= P_STRING,
		.p_class	= P_LOCAL,
		.offset		= LOCAL_VAR(lpq_command),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "lpresume command",
		.type		= P_STRING,
		.p_class	= P_LOCAL,
		.offset		= LOCAL_VAR(lpresume_command),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "lprm command",
		.type		= P_STRING,
		.p_class	= P_LOCAL,
		.offset		= LOCAL_VAR(lprm_command),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "lsa over netlogon",
		.type		= P_BOOL,
		.p_class	= P_GLOBAL,
		.offset		= GLOBAL_VAR(lsa_over_netlogon),
		.special	= NULL,
		.enum_list	= NULL,
		.flags		= FLAG_DEPRECATED,
	},
	{
		.label		= "machine password timeout",
		.type		= P_INTEGER,
		.p_class	= P_GLOBAL,
		.offset		= GLOBAL_VAR(machine_password_timeout),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "magic output",
		.type		= P_STRING,
		.p_class	= P_LOCAL,
		.offset		= LOCAL_VAR(magic_output),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "magic script",
		.type		= P_STRING,
		.p_class	= P_LOCAL,
		.offset		= LOCAL_VAR(magic_script),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "mangled names",
		.type		= P_ENUM,
		.p_class	= P_LOCAL,
		.offset		= LOCAL_VAR(mangled_names),
		.special	= NULL,
		.enum_list	= enum_mangled_names,
	},
	{
		.label		= "mangle prefix",
		.type		= P_INTEGER,
		.p_class	= P_GLOBAL,
		.offset		= GLOBAL_VAR(mangle_prefix),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "mangling char",
		.type		= P_CHAR,
		.p_class	= P_LOCAL,
		.offset		= LOCAL_VAR(mangling_char),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "mangling method",
		.type		= P_STRING,
		.p_class	= P_GLOBAL,
		.offset		= GLOBAL_VAR(mangling_method),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "map acl inherit",
		.type		= P_BOOL,
		.p_class	= P_LOCAL,
		.offset		= LOCAL_VAR(map_acl_inherit),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "map archive",
		.type		= P_BOOL,
		.p_class	= P_LOCAL,
		.offset		= LOCAL_VAR(map_archive),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "map hidden",
		.type		= P_BOOL,
		.p_class	= P_LOCAL,
		.offset		= LOCAL_VAR(map_hidden),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "map readonly",
		.type		= P_ENUM,
		.p_class	= P_LOCAL,
		.offset		= LOCAL_VAR(map_readonly),
		.special	= NULL,
		.enum_list	= enum_map_readonly,
	},
	{
		.label		= "map system",
		.type		= P_BOOL,
		.p_class	= P_LOCAL,
		.offset		= LOCAL_VAR(map_system),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "map to guest",
		.type		= P_ENUM,
		.p_class	= P_GLOBAL,
		.offset		= GLOBAL_VAR(map_to_guest),
		.special	= NULL,
		.enum_list	= enum_map_to_guest,
	},
	{
		.label		= "max connections",
		.type		= P_INTEGER,
		.p_class	= P_LOCAL,
		.offset		= LOCAL_VAR(max_connections),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "max disk size",
		.type		= P_BYTES,
		.p_class	= P_GLOBAL,
		.offset		= GLOBAL_VAR(max_disk_size),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "max log size",
		.type		= P_BYTES,
		.p_class	= P_GLOBAL,
		.offset		= GLOBAL_VAR(max_log_size),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "max mux",
		.type		= P_INTEGER,
		.p_class	= P_GLOBAL,
		.offset		= GLOBAL_VAR(max_mux),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "max open files",
		.type		= P_INTEGER,
		.p_class	= P_GLOBAL,
		.offset		= GLOBAL_VAR(max_open_files),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "max print jobs",
		.type		= P_INTEGER,
		.p_class	= P_LOCAL,
		.offset		= LOCAL_VAR(max_print_jobs),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "max reported print jobs",
		.type		= P_INTEGER,
		.p_class	= P_LOCAL,
		.offset		= LOCAL_VAR(max_reported_print_jobs),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "max smbd processes",
		.type		= P_INTEGER,
		.p_class	= P_GLOBAL,
		.offset		= GLOBAL_VAR(max_smbd_processes),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "max stat cache size",
		.type		= P_INTEGER,
		.p_class	= P_GLOBAL,
		.offset		= GLOBAL_VAR(max_stat_cache_size),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "max ttl",
		.type		= P_INTEGER,
		.p_class	= P_GLOBAL,
		.offset		= GLOBAL_VAR(max_ttl),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "max wins ttl",
		.type		= P_INTEGER,
		.p_class	= P_GLOBAL,
		.offset		= GLOBAL_VAR(max_wins_ttl),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "max xmit",
		.type		= P_BYTES,
		.p_class	= P_GLOBAL,
		.offset		= GLOBAL_VAR(max_xmit),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "mdns name",
		.type		= P_ENUM,
		.p_class	= P_GLOBAL,
		.offset		= GLOBAL_VAR(mdns_name),
		.special	= NULL,
		.enum_list	= enum_mdns_name_values,
	},
	{
		.label		= "message command",
		.type		= P_STRING,
		.p_class	= P_GLOBAL,
		.offset		= GLOBAL_VAR(message_command),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "min print space",
		.type		= P_INTEGER,
		.p_class	= P_LOCAL,
		.offset		= LOCAL_VAR(min_print_space),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "min receivefile size",
		.type		= P_BYTES,
		.p_class	= P_GLOBAL,
		.offset		= GLOBAL_VAR(min_receivefile_size),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "min wins ttl",
		.type		= P_INTEGER,
		.p_class	= P_GLOBAL,
		.offset		= GLOBAL_VAR(min_wins_ttl),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "mit kdc command",
		.type		= P_LIST,
		.p_class	= P_GLOBAL,
		.offset		= GLOBAL_VAR(mit_kdc_command),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "msdfs proxy",
		.type		= P_STRING,
		.p_class	= P_LOCAL,
		.offset		= LOCAL_VAR(msdfs_proxy),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "msdfs root",
		.type		= P_BOOL,
		.p_class	= P_LOCAL,
		.offset		= LOCAL_VAR(msdfs_root),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "msdfs shuffle referrals",
		.type		= P_BOOL,
		.p_class	= P_LOCAL,
		.offset		= LOCAL_VAR(msdfs_shuffle_referrals),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "multicast dns register",
		.type		= P_BOOL,
		.p_class	= P_GLOBAL,
		.offset		= GLOBAL_VAR(multicast_dns_register),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "name cache timeout",
		.type		= P_INTEGER,
		.p_class	= P_GLOBAL,
		.offset		= GLOBAL_VAR(name_cache_timeout),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "name resolve order",
		.type		= P_CMDLIST,
		.p_class	= P_GLOBAL,
		.offset		= GLOBAL_VAR(name_resolve_order),
		.special	= handle_name_resolve_order,
		.enum_list	= NULL,
	},
	{
		.label		= "nbt client socket address",
		.type		= P_STRING,
		.p_class	= P_GLOBAL,
		.offset		= GLOBAL_VAR(nbt_client_socket_address),
		.special	= NULL,
		.enum_list	= NULL,
		.flags		= FLAG_DEPRECATED,
	},
	{
		.label		= "socket address",
		.type		= P_STRING,
		.p_class	= P_GLOBAL,
		.offset		= GLOBAL_VAR(nbt_client_socket_address),
		.special	= NULL,
		.enum_list	= NULL,
		.flags		= FLAG_SYNONYM,
	},
	{
		.label		= "nbt port",
		.type		= P_INTEGER,
		.p_class	= P_GLOBAL,
		.offset		= GLOBAL_VAR(nbt_port),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "ncalrpc dir",
		.type		= P_STRING,
		.p_class	= P_GLOBAL,
		.offset		= GLOBAL_VAR(ncalrpc_dir),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "netbios aliases",
		.type		= P_CMDLIST,
		.p_class	= P_GLOBAL,
		.offset		= GLOBAL_VAR(netbios_aliases),
		.special	= handle_netbios_aliases,
		.enum_list	= NULL,
	},
	{
		.label		= "netbios name",
		.type		= P_USTRING,
		.p_class	= P_GLOBAL,
		.offset		= GLOBAL_VAR(netbios_name),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "netbios scope",
		.type		= P_USTRING,
		.p_class	= P_GLOBAL,
		.offset		= GLOBAL_VAR(netbios_scope),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "neutralize nt4 emulation",
		.type		= P_BOOL,
		.p_class	= P_GLOBAL,
		.offset		= GLOBAL_VAR(neutralize_nt4_emulation),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "NIS homedir",
		.type		= P_BOOL,
		.p_class	= P_GLOBAL,
		.offset		= GLOBAL_VAR(nis_homedir),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "nmbd bind explicit broadcast",
		.type		= P_BOOL,
		.p_class	= P_GLOBAL,
		.offset		= GLOBAL_VAR(nmbd_bind_explicit_broadcast),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "nsupdate command",
		.type		= P_CMDLIST,
		.p_class	= P_GLOBAL,
		.offset		= GLOBAL_VAR(nsupdate_command),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "nt acl support",
		.type		= P_BOOL,
		.p_class	= P_LOCAL,
		.offset		= LOCAL_VAR(nt_acl_support),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "ntlm auth",
		.type		= P_ENUM,
		.p_class	= P_GLOBAL,
		.offset		= GLOBAL_VAR(ntlm_auth),
		.special	= NULL,
		.enum_list	= enum_ntlm_auth,
	},
	{
		.label		= "nt pipe support",
		.type		= P_BOOL,
		.p_class	= P_GLOBAL,
		.offset		= GLOBAL_VAR(nt_pipe_support),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "ntp signd socket directory",
		.type		= P_STRING,
		.p_class	= P_GLOBAL,
		.offset		= GLOBAL_VAR(ntp_signd_socket_directory),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "nt status support",
		.type		= P_BOOL,
		.p_class	= P_GLOBAL,
		.offset		= GLOBAL_VAR(nt_status_support),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "ntvfs handler",
		.type		= P_LIST,
		.p_class	= P_LOCAL,
		.offset		= LOCAL_VAR(ntvfs_handler),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "null passwords",
		.type		= P_BOOL,
		.p_class	= P_GLOBAL,
		.offset		= GLOBAL_VAR(null_passwords),
		.special	= NULL,
		.enum_list	= NULL,
		.flags		= FLAG_DEPRECATED,
	},
	{
		.label		= "obey pam restrictions",
		.type		= P_BOOL,
		.p_class	= P_GLOBAL,
		.offset		= GLOBAL_VAR(obey_pam_restrictions),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "old password allowed period",
		.type		= P_INTEGER,
		.p_class	= P_GLOBAL,
		.offset		= GLOBAL_VAR(old_password_allowed_period),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "oplock break wait time",
		.type		= P_INTEGER,
		.p_class	= P_GLOBAL,
		.offset		= GLOBAL_VAR(oplock_break_wait_time),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "oplocks",
		.type		= P_BOOL,
		.p_class	= P_LOCAL,
		.offset		= LOCAL_VAR(oplocks),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "os2 driver map",
		.type		= P_STRING,
		.p_class	= P_GLOBAL,
		.offset		= GLOBAL_VAR(os2_driver_map),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "os level",
		.type		= P_INTEGER,
		.p_class	= P_GLOBAL,
		.offset		= GLOBAL_VAR(os_level),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "pam password change",
		.type		= P_BOOL,
		.p_class	= P_GLOBAL,
		.offset		= GLOBAL_VAR(pam_password_change),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "panic action",
		.type		= P_STRING,
		.p_class	= P_GLOBAL,
		.offset		= GLOBAL_VAR(panic_action),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "passdb backend",
		.type		= P_STRING,
		.p_class	= P_GLOBAL,
		.offset		= GLOBAL_VAR(passdb_backend),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "passdb expand explicit",
		.type		= P_BOOL,
		.p_class	= P_GLOBAL,
		.offset		= GLOBAL_VAR(passdb_expand_explicit),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "passwd chat",
		.type		= P_STRING,
		.p_class	= P_GLOBAL,
		.offset		= GLOBAL_VAR(passwd_chat),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "passwd chat debug",
		.type		= P_BOOL,
		.p_class	= P_GLOBAL,
		.offset		= GLOBAL_VAR(passwd_chat_debug),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "passwd chat timeout",
		.type		= P_INTEGER,
		.p_class	= P_GLOBAL,
		.offset		= GLOBAL_VAR(passwd_chat_timeout),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "passwd program",
		.type		= P_STRING,
		.p_class	= P_GLOBAL,
		.offset		= GLOBAL_VAR(passwd_program),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "password hash gpg key ids",
		.type		= P_CMDLIST,
		.p_class	= P_GLOBAL,
		.offset		= GLOBAL_VAR(password_hash_gpg_key_ids),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "password hash userPassword schemes",
		.type		= P_CMDLIST,
		.p_class	= P_GLOBAL,
		.offset		= GLOBAL_VAR(password_hash_userpassword_schemes),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "password server",
		.type		= P_STRING,
		.p_class	= P_GLOBAL,
		.offset		= GLOBAL_VAR(password_server),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "path",
		.type		= P_STRING,
		.p_class	= P_LOCAL,
		.offset		= LOCAL_VAR(path),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "directory",
		.type		= P_STRING,
		.p_class	= P_LOCAL,
		.offset		= LOCAL_VAR(path),
		.special	= NULL,
		.enum_list	= NULL,
		.flags		= FLAG_SYNONYM,
	},
	{
		.label		= "perfcount module",
		.type		= P_STRING,
		.p_class	= P_GLOBAL,
		.offset		= GLOBAL_VAR(perfcount_module),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "pid directory",
		.type		= P_STRING,
		.p_class	= P_GLOBAL,
		.offset		= GLOBAL_VAR(pid_directory),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "posix locking",
		.type		= P_BOOL,
		.p_class	= P_LOCAL,
		.offset		= LOCAL_VAR(posix_locking),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "postexec",
		.type		= P_STRING,
		.p_class	= P_LOCAL,
		.offset		= LOCAL_VAR(postexec),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "preexec",
		.type		= P_STRING,
		.p_class	= P_LOCAL,
		.offset		= LOCAL_VAR(preexec),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "exec",
		.type		= P_STRING,
		.p_class	= P_LOCAL,
		.offset		= LOCAL_VAR(preexec),
		.special	= NULL,
		.enum_list	= NULL,
		.flags		= FLAG_SYNONYM,
	},
	{
		.label		= "preexec close",
		.type		= P_BOOL,
		.p_class	= P_LOCAL,
		.offset		= LOCAL_VAR(preexec_close),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "preferred master",
		.type		= P_ENUM,
		.p_class	= P_GLOBAL,
		.offset		= GLOBAL_VAR(_preferred_master),
		.special	= NULL,
		.enum_list	= enum_bool_auto,
	},
	{
		.label		= "prefered master",
		.type		= P_ENUM,
		.p_class	= P_GLOBAL,
		.offset		= GLOBAL_VAR(_preferred_master),
		.special	= NULL,
		.enum_list	= enum_bool_auto,
		.flags		= FLAG_SYNONYM,
	},
	{
		.label		= "prefork backoff increment",
		.type		= P_INTEGER,
		.p_class	= P_GLOBAL,
		.offset		= GLOBAL_VAR(prefork_backoff_increment),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "prefork children",
		.type		= P_INTEGER,
		.p_class	= P_GLOBAL,
		.offset		= GLOBAL_VAR(prefork_children),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "prefork maximum backoff",
		.type		= P_INTEGER,
		.p_class	= P_GLOBAL,
		.offset		= GLOBAL_VAR(prefork_maximum_backoff),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "preload modules",
		.type		= P_CMDLIST,
		.p_class	= P_GLOBAL,
		.offset		= GLOBAL_VAR(preload_modules),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "preserve case",
		.type		= P_BOOL,
		.p_class	= P_LOCAL,
		.offset		= LOCAL_VAR(preserve_case),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "printable",
		.type		= P_BOOL,
		.p_class	= P_LOCAL,
		.offset		= LOCAL_VAR(printable),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "print ok",
		.type		= P_BOOL,
		.p_class	= P_LOCAL,
		.offset		= LOCAL_VAR(printable),
		.special	= NULL,
		.enum_list	= NULL,
		.flags		= FLAG_SYNONYM,
	},
	{
		.label		= "printcap cache time",
		.type		= P_INTEGER,
		.p_class	= P_GLOBAL,
		.offset		= GLOBAL_VAR(printcap_cache_time),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "printcap name",
		.type		= P_STRING,
		.p_class	= P_GLOBAL,
		.offset		= GLOBAL_VAR(printcap_name),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "printcap",
		.type		= P_STRING,
		.p_class	= P_GLOBAL,
		.offset		= GLOBAL_VAR(printcap_name),
		.special	= NULL,
		.enum_list	= NULL,
		.flags		= FLAG_SYNONYM,
	},
	{
		.label		= "print command",
		.type		= P_STRING,
		.p_class	= P_LOCAL,
		.offset		= LOCAL_VAR(print_command),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "printer name",
		.type		= P_STRING,
		.p_class	= P_LOCAL,
		.offset		= LOCAL_VAR(_printername),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "printer",
		.type		= P_STRING,
		.p_class	= P_LOCAL,
		.offset		= LOCAL_VAR(_printername),
		.special	= NULL,
		.enum_list	= NULL,
		.flags		= FLAG_SYNONYM,
	},
	{
		.label		= "printing",
		.type		= P_ENUM,
		.p_class	= P_LOCAL,
		.offset		= LOCAL_VAR(printing),
		.special	= handle_printing,
		.enum_list	= enum_printing,
	},
	{
		.label		= "printjob username",
		.type		= P_STRING,
		.p_class	= P_LOCAL,
		.offset		= LOCAL_VAR(printjob_username),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "print notify backchannel",
		.type		= P_BOOL,
		.p_class	= P_LOCAL,
		.offset		= LOCAL_VAR(print_notify_backchannel),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "private dir",
		.type		= P_STRING,
		.p_class	= P_GLOBAL,
		.offset		= GLOBAL_VAR(private_dir),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "private directory",
		.type		= P_STRING,
		.p_class	= P_GLOBAL,
		.offset		= GLOBAL_VAR(private_dir),
		.special	= NULL,
		.enum_list	= NULL,
		.flags		= FLAG_SYNONYM,
	},
	{
		.label		= "queuepause command",
		.type		= P_STRING,
		.p_class	= P_LOCAL,
		.offset		= LOCAL_VAR(queuepause_command),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "queueresume command",
		.type		= P_STRING,
		.p_class	= P_LOCAL,
		.offset		= LOCAL_VAR(queueresume_command),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "raw NTLMv2 auth",
		.type		= P_BOOL,
		.p_class	= P_GLOBAL,
		.offset		= GLOBAL_VAR(raw_ntlmv2_auth),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "read list",
		.type		= P_CMDLIST,
		.p_class	= P_LOCAL,
		.offset		= LOCAL_VAR(read_list),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "read only",
		.type		= P_BOOL,
		.p_class	= P_LOCAL,
		.offset		= LOCAL_VAR(read_only),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "read raw",
		.type		= P_BOOL,
		.p_class	= P_GLOBAL,
		.offset		= GLOBAL_VAR(read_raw),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "realm",
		.type		= P_STRING,
		.p_class	= P_GLOBAL,
		.offset		= GLOBAL_VAR(realm),
		.special	= handle_realm,
		.enum_list	= NULL,
	},
	{
		.label		= "registry shares",
		.type		= P_BOOL,
		.p_class	= P_GLOBAL,
		.offset		= GLOBAL_VAR(registry_shares),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "reject md5 clients",
		.type		= P_BOOL,
		.p_class	= P_GLOBAL,
		.offset		= GLOBAL_VAR(reject_md5_clients),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "reject md5 servers",
		.type		= P_BOOL,
		.p_class	= P_GLOBAL,
		.offset		= GLOBAL_VAR(reject_md5_servers),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "remote announce",
		.type		= P_STRING,
		.p_class	= P_GLOBAL,
		.offset		= GLOBAL_VAR(remote_announce),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "remote browse sync",
		.type		= P_STRING,
		.p_class	= P_GLOBAL,
		.offset		= GLOBAL_VAR(remote_browse_sync),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "rename user script",
		.type		= P_STRING,
		.p_class	= P_GLOBAL,
		.offset		= GLOBAL_VAR(rename_user_script),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "require strong key",
		.type		= P_BOOL,
		.p_class	= P_GLOBAL,
		.offset		= GLOBAL_VAR(require_strong_key),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "reset on zero vc",
		.type		= P_BOOL,
		.p_class	= P_GLOBAL,
		.offset		= GLOBAL_VAR(reset_on_zero_vc),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "restrict anonymous",
		.type		= P_INTEGER,
		.p_class	= P_GLOBAL,
		.offset		= GLOBAL_VAR(restrict_anonymous),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "rndc command",
		.type		= P_CMDLIST,
		.p_class	= P_GLOBAL,
		.offset		= GLOBAL_VAR(rndc_command),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "root directory",
		.type		= P_STRING,
		.p_class	= P_GLOBAL,
		.offset		= GLOBAL_VAR(root_directory),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "root",
		.type		= P_STRING,
		.p_class	= P_GLOBAL,
		.offset		= GLOBAL_VAR(root_directory),
		.special	= NULL,
		.enum_list	= NULL,
		.flags		= FLAG_SYNONYM,
	},
	{
		.label		= "root dir",
		.type		= P_STRING,
		.p_class	= P_GLOBAL,
		.offset		= GLOBAL_VAR(root_directory),
		.special	= NULL,
		.enum_list	= NULL,
		.flags		= FLAG_SYNONYM,
	},
	{
		.label		= "root postexec",
		.type		= P_STRING,
		.p_class	= P_LOCAL,
		.offset		= LOCAL_VAR(root_postexec),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "root preexec",
		.type		= P_STRING,
		.p_class	= P_LOCAL,
		.offset		= LOCAL_VAR(root_preexec),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "root preexec close",
		.type		= P_BOOL,
		.p_class	= P_LOCAL,
		.offset		= LOCAL_VAR(root_preexec_close),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "rpc big endian",
		.type		= P_BOOL,
		.p_class	= P_GLOBAL,
		.offset		= GLOBAL_VAR(rpc_big_endian),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "rpc server dynamic port range",
		.type		= P_STRING,
		.p_class	= P_GLOBAL,
		.offset		= GLOBAL_VAR(rpc_server_dynamic_port_range),
		.special	= handle_rpc_server_dynamic_port_range,
		.enum_list	= NULL,
	},
	{
		.label		= "rpc server port",
		.type		= P_INTEGER,
		.p_class	= P_GLOBAL,
		.offset		= GLOBAL_VAR(rpc_server_port),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "samba kcc command",
		.type		= P_CMDLIST,
		.p_class	= P_GLOBAL,
		.offset		= GLOBAL_VAR(samba_kcc_command),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "security",
		.type		= P_ENUM,
		.p_class	= P_GLOBAL,
		.offset		= GLOBAL_VAR(_security),
		.special	= NULL,
		.enum_list	= enum_security,
	},
	{
		.label		= "server max protocol",
		.type		= P_ENUM,
		.p_class	= P_GLOBAL,
		.offset		= GLOBAL_VAR(server_max_protocol),
		.special	= NULL,
		.enum_list	= enum_protocol,
	},
	{
		.label		= "max protocol",
		.type		= P_ENUM,
		.p_class	= P_GLOBAL,
		.offset		= GLOBAL_VAR(server_max_protocol),
		.special	= NULL,
		.enum_list	= enum_protocol,
		.flags		= FLAG_SYNONYM,
	},
	{
		.label		= "protocol",
		.type		= P_ENUM,
		.p_class	= P_GLOBAL,
		.offset		= GLOBAL_VAR(server_max_protocol),
		.special	= NULL,
		.enum_list	= enum_protocol,
		.flags		= FLAG_SYNONYM,
	},
	{
		.label		= "server min protocol",
		.type		= P_ENUM,
		.p_class	= P_GLOBAL,
		.offset		= GLOBAL_VAR(server_min_protocol),
		.special	= NULL,
		.enum_list	= enum_protocol,
	},
	{
		.label		= "min protocol",
		.type		= P_ENUM,
		.p_class	= P_GLOBAL,
		.offset		= GLOBAL_VAR(server_min_protocol),
		.special	= NULL,
		.enum_list	= enum_protocol,
		.flags		= FLAG_SYNONYM,
	},
	{
		.label		= "server multi channel support",
		.type		= P_BOOL,
		.p_class	= P_GLOBAL,
		.offset		= GLOBAL_VAR(server_multi_channel_support),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "server role",
		.type		= P_ENUM,
		.p_class	= P_GLOBAL,
		.offset		= GLOBAL_VAR(_server_role),
		.special	= NULL,
		.enum_list	= enum_server_role,
	},
	{
		.label		= "server schannel",
		.type		= P_ENUM,
		.p_class	= P_GLOBAL,
		.offset		= GLOBAL_VAR(server_schannel),
		.special	= NULL,
		.enum_list	= enum_bool_auto,
		.flags		= FLAG_DEPRECATED,
	},
	{
		.label		= "server services",
		.type		= P_LIST,
		.p_class	= P_GLOBAL,
		.offset		= GLOBAL_VAR(server_services),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "server signing",
		.type		= P_ENUM,
		.p_class	= P_GLOBAL,
		.offset		= GLOBAL_VAR(server_signing),
		.special	= NULL,
		.enum_list	= enum_smb_signing_vals,
	},
	{
		.label		= "server string",
		.type		= P_STRING,
		.p_class	= P_GLOBAL,
		.offset		= GLOBAL_VAR(server_string),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "set primary group script",
		.type		= P_STRING,
		.p_class	= P_GLOBAL,
		.offset		= GLOBAL_VAR(set_primary_group_script),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "set quota command",
		.type		= P_STRING,
		.p_class	= P_GLOBAL,
		.offset		= GLOBAL_VAR(set_quota_command),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "share backend",
		.type		= P_STRING,
		.p_class	= P_GLOBAL,
		.offset		= GLOBAL_VAR(share_backend),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "short preserve case",
		.type		= P_BOOL,
		.p_class	= P_LOCAL,
		.offset		= LOCAL_VAR(short_preserve_case),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "show add printer wizard",
		.type		= P_BOOL,
		.p_class	= P_GLOBAL,
		.offset		= GLOBAL_VAR(show_add_printer_wizard),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "shutdown script",
		.type		= P_STRING,
		.p_class	= P_GLOBAL,
		.offset		= GLOBAL_VAR(shutdown_script),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "smb2 leases",
		.type		= P_BOOL,
		.p_class	= P_GLOBAL,
		.offset		= GLOBAL_VAR(smb2_leases),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "smb2 max credits",
		.type		= P_INTEGER,
		.p_class	= P_GLOBAL,
		.offset		= GLOBAL_VAR(smb2_max_credits),
		.special	= handle_smb2_max_credits,
		.enum_list	= NULL,
	},
	{
		.label		= "smb2 max read",
		.type		= P_BYTES,
		.p_class	= P_GLOBAL,
		.offset		= GLOBAL_VAR(smb2_max_read),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "smb2 max trans",
		.type		= P_BYTES,
		.p_class	= P_GLOBAL,
		.offset		= GLOBAL_VAR(smb2_max_trans),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "smb2 max write",
		.type		= P_BYTES,
		.p_class	= P_GLOBAL,
		.offset		= GLOBAL_VAR(smb2_max_write),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "smbd async dosmode",
		.type		= P_BOOL,
		.p_class	= P_LOCAL,
		.offset		= LOCAL_VAR(smbd_async_dosmode),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "smbd getinfo ask sharemode",
		.type		= P_BOOL,
		.p_class	= P_LOCAL,
		.offset		= LOCAL_VAR(smbd_getinfo_ask_sharemode),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "smbd max async dosmode",
		.type		= P_INTEGER,
		.p_class	= P_LOCAL,
		.offset		= LOCAL_VAR(smbd_max_async_dosmode),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "smbd profiling level",
		.type		= P_ENUM,
		.p_class	= P_GLOBAL,
		.offset		= GLOBAL_VAR(smbd_profiling_level),
		.special	= NULL,
		.enum_list	= enum_smbd_profiling_level,
	},
	{
		.label		= "smbd search ask sharemode",
		.type		= P_BOOL,
		.p_class	= P_LOCAL,
		.offset		= LOCAL_VAR(smbd_search_ask_sharemode),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "smb encrypt",
		.type		= P_ENUM,
		.p_class	= P_LOCAL,
		.offset		= LOCAL_VAR(smb_encrypt),
		.special	= NULL,
		.enum_list	= enum_smb_signing_vals,
	},
	{
		.label		= "smb passwd file",
		.type		= P_STRING,
		.p_class	= P_GLOBAL,
		.offset		= GLOBAL_VAR(smb_passwd_file),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "smb ports",
		.type		= P_CMDLIST,
		.p_class	= P_GLOBAL,
		.offset		= GLOBAL_VAR(smb_ports),
		.special	= handle_smb_ports,
		.enum_list	= NULL,
	},
	{
		.label		= "socket options",
		.type		= P_STRING,
		.p_class	= P_GLOBAL,
		.offset		= GLOBAL_VAR(socket_options),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "spn update command",
		.type		= P_CMDLIST,
		.p_class	= P_GLOBAL,
		.offset		= GLOBAL_VAR(spn_update_command),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "spotlight",
		.type		= P_BOOL,
		.p_class	= P_LOCAL,
		.offset		= LOCAL_VAR(spotlight),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "stat cache",
		.type		= P_BOOL,
		.p_class	= P_GLOBAL,
		.offset		= GLOBAL_VAR(stat_cache),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "state directory",
		.type		= P_STRING,
		.p_class	= P_GLOBAL,
		.offset		= GLOBAL_VAR(state_directory),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "store dos attributes",
		.type		= P_BOOL,
		.p_class	= P_LOCAL,
		.offset		= LOCAL_VAR(store_dos_attributes),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "strict allocate",
		.type		= P_BOOL,
		.p_class	= P_LOCAL,
		.offset		= LOCAL_VAR(strict_allocate),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "strict locking",
		.type		= P_ENUM,
		.p_class	= P_LOCAL,
		.offset		= LOCAL_VAR(strict_locking),
		.special	= NULL,
		.enum_list	= enum_bool_auto,
	},
	{
		.label		= "strict rename",
		.type		= P_BOOL,
		.p_class	= P_LOCAL,
		.offset		= LOCAL_VAR(strict_rename),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "strict sync",
		.type		= P_BOOL,
		.p_class	= P_LOCAL,
		.offset		= LOCAL_VAR(strict_sync),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "svcctl list",
		.type		= P_CMDLIST,
		.p_class	= P_GLOBAL,
		.offset		= GLOBAL_VAR(svcctl_list),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "sync always",
		.type		= P_BOOL,
		.p_class	= P_LOCAL,
		.offset		= LOCAL_VAR(sync_always),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "syslog",
		.type		= P_INTEGER,
		.p_class	= P_GLOBAL,
		.offset		= GLOBAL_VAR(syslog),
		.special	= NULL,
		.enum_list	= NULL,
		.flags		= FLAG_DEPRECATED,
	},
	{
		.label		= "syslog only",
		.type		= P_BOOL,
		.p_class	= P_GLOBAL,
		.offset		= GLOBAL_VAR(syslog_only),
		.special	= NULL,
		.enum_list	= NULL,
		.flags		= FLAG_DEPRECATED,
	},
	{
		.label		= "template homedir",
		.type		= P_STRING,
		.p_class	= P_GLOBAL,
		.offset		= GLOBAL_VAR(template_homedir),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "template shell",
		.type		= P_STRING,
		.p_class	= P_GLOBAL,
		.offset		= GLOBAL_VAR(template_shell),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "time server",
		.type		= P_BOOL,
		.p_class	= P_GLOBAL,
		.offset		= GLOBAL_VAR(time_server),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "timestamp logs",
		.type		= P_BOOL,
		.p_class	= P_GLOBAL,
		.offset		= GLOBAL_VAR(timestamp_logs),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "debug timestamp",
		.type		= P_BOOL,
		.p_class	= P_GLOBAL,
		.offset		= GLOBAL_VAR(timestamp_logs),
		.special	= NULL,
		.enum_list	= NULL,
		.flags		= FLAG_SYNONYM,
	},
	{
		.label		= "tls cafile",
		.type		= P_STRING,
		.p_class	= P_GLOBAL,
		.offset		= GLOBAL_VAR(_tls_cafile),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "tls certfile",
		.type		= P_STRING,
		.p_class	= P_GLOBAL,
		.offset		= GLOBAL_VAR(_tls_certfile),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "tls crlfile",
		.type		= P_STRING,
		.p_class	= P_GLOBAL,
		.offset		= GLOBAL_VAR(_tls_crlfile),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "tls dh params file",
		.type		= P_STRING,
		.p_class	= P_GLOBAL,
		.offset		= GLOBAL_VAR(_tls_dhpfile),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "tls enabled",
		.type		= P_BOOL,
		.p_class	= P_GLOBAL,
		.offset		= GLOBAL_VAR(tls_enabled),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "tls keyfile",
		.type		= P_STRING,
		.p_class	= P_GLOBAL,
		.offset		= GLOBAL_VAR(_tls_keyfile),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "tls priority",
		.type		= P_STRING,
		.p_class	= P_GLOBAL,
		.offset		= GLOBAL_VAR(tls_priority),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "tls verify peer",
		.type		= P_ENUM,
		.p_class	= P_GLOBAL,
		.offset		= GLOBAL_VAR(tls_verify_peer),
		.special	= NULL,
		.enum_list	= enum_tls_verify_peer_vals,
	},
	{
		.label		= "unicode",
		.type		= P_BOOL,
		.p_class	= P_GLOBAL,
		.offset		= GLOBAL_VAR(unicode),
		.special	= NULL,
		.enum_list	= NULL,
		.flags		= FLAG_DEPRECATED,
	},
	{
		.label		= "unix charset",
		.type		= P_STRING,
		.p_class	= P_GLOBAL,
		.offset		= GLOBAL_VAR(unix_charset),
		.special	= handle_charset,
		.enum_list	= NULL,
	},
	{
		.label		= "unix extensions",
		.type		= P_BOOL,
		.p_class	= P_GLOBAL,
		.offset		= GLOBAL_VAR(unix_extensions),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "unix password sync",
		.type		= P_BOOL,
		.p_class	= P_GLOBAL,
		.offset		= GLOBAL_VAR(unix_password_sync),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "use client driver",
		.type		= P_BOOL,
		.p_class	= P_LOCAL,
		.offset		= LOCAL_VAR(use_client_driver),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "use mmap",
		.type		= P_BOOL,
		.p_class	= P_GLOBAL,
		.offset		= GLOBAL_VAR(use_mmap),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "username level",
		.type		= P_INTEGER,
		.p_class	= P_GLOBAL,
		.offset		= GLOBAL_VAR(username_level),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "username map",
		.type		= P_STRING,
		.p_class	= P_GLOBAL,
		.offset		= GLOBAL_VAR(username_map),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "username map cache time",
		.type		= P_INTEGER,
		.p_class	= P_GLOBAL,
		.offset		= GLOBAL_VAR(username_map_cache_time),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "username map script",
		.type		= P_STRING,
		.p_class	= P_GLOBAL,
		.offset		= GLOBAL_VAR(username_map_script),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "usershare allow guests",
		.type		= P_BOOL,
		.p_class	= P_GLOBAL,
		.offset		= GLOBAL_VAR(usershare_allow_guests),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "usershare max shares",
		.type		= P_INTEGER,
		.p_class	= P_GLOBAL,
		.offset		= GLOBAL_VAR(usershare_max_shares),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "usershare owner only",
		.type		= P_BOOL,
		.p_class	= P_GLOBAL,
		.offset		= GLOBAL_VAR(usershare_owner_only),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "usershare path",
		.type		= P_STRING,
		.p_class	= P_GLOBAL,
		.offset		= GLOBAL_VAR(usershare_path),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "usershare prefix allow list",
		.type		= P_CMDLIST,
		.p_class	= P_GLOBAL,
		.offset		= GLOBAL_VAR(usershare_prefix_allow_list),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "usershare prefix deny list",
		.type		= P_CMDLIST,
		.p_class	= P_GLOBAL,
		.offset		= GLOBAL_VAR(usershare_prefix_deny_list),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "usershare template share",
		.type		= P_STRING,
		.p_class	= P_GLOBAL,
		.offset		= GLOBAL_VAR(usershare_template_share),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "use sendfile",
		.type		= P_BOOL,
		.p_class	= P_LOCAL,
		.offset		= LOCAL_VAR(_use_sendfile),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "utmp",
		.type		= P_BOOL,
		.p_class	= P_GLOBAL,
		.offset		= GLOBAL_VAR(utmp),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "utmp directory",
		.type		= P_STRING,
		.p_class	= P_GLOBAL,
		.offset		= GLOBAL_VAR(utmp_directory),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "-valid",
		.type		= P_BOOL,
		.p_class	= P_LOCAL,
		.offset		= LOCAL_VAR(valid),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "valid users",
		.type		= P_CMDLIST,
		.p_class	= P_LOCAL,
		.offset		= LOCAL_VAR(valid_users),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "veto files",
		.type		= P_STRING,
		.p_class	= P_LOCAL,
		.offset		= LOCAL_VAR(veto_files),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "veto oplock files",
		.type		= P_STRING,
		.p_class	= P_LOCAL,
		.offset		= LOCAL_VAR(veto_oplock_files),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "vfs objects",
		.type		= P_CMDLIST,
		.p_class	= P_LOCAL,
		.offset		= LOCAL_VAR(vfs_objects),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "vfs object",
		.type		= P_CMDLIST,
		.p_class	= P_LOCAL,
		.offset		= LOCAL_VAR(vfs_objects),
		.special	= NULL,
		.enum_list	= NULL,
		.flags		= FLAG_SYNONYM,
	},
	{
		.label		= "volume",
		.type		= P_STRING,
		.p_class	= P_LOCAL,
		.offset		= LOCAL_VAR(volume),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "web port",
		.type		= P_INTEGER,
		.p_class	= P_GLOBAL,
		.offset		= GLOBAL_VAR(web_port),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "wide links",
		.type		= P_BOOL,
		.p_class	= P_LOCAL,
		.offset		= LOCAL_VAR(wide_links),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "winbind cache time",
		.type		= P_INTEGER,
		.p_class	= P_GLOBAL,
		.offset		= GLOBAL_VAR(winbind_cache_time),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "winbindd socket directory",
		.type		= P_STRING,
		.p_class	= P_GLOBAL,
		.offset		= GLOBAL_VAR(winbindd_socket_directory),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "winbind enum groups",
		.type		= P_BOOL,
		.p_class	= P_GLOBAL,
		.offset		= GLOBAL_VAR(winbind_enum_groups),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "winbind enum users",
		.type		= P_BOOL,
		.p_class	= P_GLOBAL,
		.offset		= GLOBAL_VAR(winbind_enum_users),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "winbind expand groups",
		.type		= P_INTEGER,
		.p_class	= P_GLOBAL,
		.offset		= GLOBAL_VAR(winbind_expand_groups),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "winbind max clients",
		.type		= P_INTEGER,
		.p_class	= P_GLOBAL,
		.offset		= GLOBAL_VAR(winbind_max_clients),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "winbind max domain connections",
		.type		= P_INTEGER,
		.p_class	= P_GLOBAL,
		.offset		= GLOBAL_VAR(_winbind_max_domain_connections),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "winbind nested groups",
		.type		= P_BOOL,
		.p_class	= P_GLOBAL,
		.offset		= GLOBAL_VAR(winbind_nested_groups),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "winbind normalize names",
		.type		= P_BOOL,
		.p_class	= P_GLOBAL,
		.offset		= GLOBAL_VAR(winbind_normalize_names),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "winbind nss info",
		.type		= P_CMDLIST,
		.p_class	= P_GLOBAL,
		.offset		= GLOBAL_VAR(winbind_nss_info),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "winbind offline logon",
		.type		= P_BOOL,
		.p_class	= P_GLOBAL,
		.offset		= GLOBAL_VAR(winbind_offline_logon),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "winbind reconnect delay",
		.type		= P_INTEGER,
		.p_class	= P_GLOBAL,
		.offset		= GLOBAL_VAR(winbind_reconnect_delay),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "winbind refresh tickets",
		.type		= P_BOOL,
		.p_class	= P_GLOBAL,
		.offset		= GLOBAL_VAR(winbind_refresh_tickets),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "winbind request timeout",
		.type		= P_INTEGER,
		.p_class	= P_GLOBAL,
		.offset		= GLOBAL_VAR(winbind_request_timeout),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "winbind rpc only",
		.type		= P_BOOL,
		.p_class	= P_GLOBAL,
		.offset		= GLOBAL_VAR(winbind_rpc_only),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "winbind scan trusted domains",
		.type		= P_BOOL,
		.p_class	= P_GLOBAL,
		.offset		= GLOBAL_VAR(winbind_scan_trusted_domains),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "winbind sealed pipes",
		.type		= P_BOOL,
		.p_class	= P_GLOBAL,
		.offset		= GLOBAL_VAR(winbind_sealed_pipes),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "winbind separator",
		.type		= P_STRING,
		.p_class	= P_GLOBAL,
		.offset		= GLOBAL_VAR(winbind_separator),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "winbind use default domain",
		.type		= P_BOOL,
		.p_class	= P_GLOBAL,
		.offset		= GLOBAL_VAR(winbind_use_default_domain),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "winbind use krb5 enterprise principals",
		.type		= P_BOOL,
		.p_class	= P_GLOBAL,
		.offset		= GLOBAL_VAR(winbind_use_krb5_enterprise_principals),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "wins hook",
		.type		= P_STRING,
		.p_class	= P_GLOBAL,
		.offset		= GLOBAL_VAR(wins_hook),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "wins proxy",
		.type		= P_BOOL,
		.p_class	= P_GLOBAL,
		.offset		= GLOBAL_VAR(wins_proxy),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "wins server",
		.type		= P_CMDLIST,
		.p_class	= P_GLOBAL,
		.offset		= GLOBAL_VAR(wins_server_list),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "wins support",
		.type		= P_BOOL,
		.p_class	= P_GLOBAL,
		.offset		= GLOBAL_VAR(we_are_a_wins_server),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "workgroup",
		.type		= P_USTRING,
		.p_class	= P_GLOBAL,
		.offset		= GLOBAL_VAR(workgroup),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "writeable",
		.type		= P_BOOLREV,
		.p_class	= P_LOCAL,
		.offset		= LOCAL_VAR(read_only),
		.special	= NULL,
		.enum_list	= NULL,
		.flags		= FLAG_SYNONYM,
	},
	{
		.label		= "writable",
		.type		= P_BOOLREV,
		.p_class	= P_LOCAL,
		.offset		= LOCAL_VAR(read_only),
		.special	= NULL,
		.enum_list	= NULL,
		.flags		= FLAG_SYNONYM,
	},
	{
		.label		= "write ok",
		.type		= P_BOOLREV,
		.p_class	= P_LOCAL,
		.offset		= LOCAL_VAR(read_only),
		.special	= NULL,
		.enum_list	= NULL,
		.flags		= FLAG_SYNONYM,
	},
	{
		.label		= "write cache size",
		.type		= P_BYTES,
		.p_class	= P_LOCAL,
		.offset		= LOCAL_VAR(write_cache_size),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "write list",
		.type		= P_CMDLIST,
		.p_class	= P_LOCAL,
		.offset		= LOCAL_VAR(write_list),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "write raw",
		.type		= P_BOOL,
		.p_class	= P_GLOBAL,
		.offset		= GLOBAL_VAR(write_raw),
		.special	= NULL,
		.enum_list	= NULL,
	},
	{
		.label		= "wtmp directory",
		.type		= P_STRING,
		.p_class	= P_GLOBAL,
		.offset		= GLOBAL_VAR(wtmp_directory),
		.special	= NULL,
		.enum_list	= NULL,
	},

	{NULL,  P_BOOL,  P_NONE,  0,  NULL,  NULL,  0}
};

#endif /* __PARAM_TABLE_GEN_C__ */

